// pages/Detailed/detailed.js
const defaultAvatarUrl = 'https://mmbiz.qpic.cn/mmbiz/icTdbqWNOwNRna42FI242Lcia07jQodd2FJGIYQfG0LAJGFxM4FbnQP6yfMxBgJ0F3YRqJCJ1aPAK2dQagdusBZg/0' 

Page({

  /**
   * 页面的初始数据
   */
  data:{
    avatarUrl: defaultAvatarUrl,
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    var index = options.index; // 第一个页面传递过来的教师索引
    var teacherInfo = this.data.teacher[index];
    // 使用索引在教师数组中获取对应的教师信息
   // var teacherInfo = this.data.teacher[index];
    // 继续处理教师信息
    // 调用云函数获取教师信息
    wx.cloud.callFunction({
      name: "detailed",
      success: (res) => {
        this.setData({
          teacher: res.result.data
        })
        // console.log(this.data.teacher[1]);
      }
    })
  },

  changeTab(e) {
    const index = e.currentTarget.dataset.index;
    this.setData({
      currentTab: parseInt(index)
    });
  },
  onAddButtonTap: function() {
    this.setData({
      showPopup: true
    });
  },
  onBackButtonTap: function() {
    this.setData({
      showPopup: false
    });
  },

  handleSubmit: function() {
    // 处理....
    // 提交成功后隐藏弹窗
    this.setData({
      showPopup: false
    });
  },

  navToComments: () => {
    wx.navigateTo({
      url: '/pages/Comments/Comments',
    })
  },
  inputChange(e) {
    this.setData({
      inputValue: e.detail.value
    });
  },
  
})